Package org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn

# Class MaxGaps

java.lang.Object
org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn.IntervalFunction
org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn.MaxGaps

public class MaxGaps extends IntervalFunction
Node that represents `Intervals.maxgaps(int, IntervalsSource)`.

## Constructor Summary

Constructors
Constructor
Description
`MaxGaps(int maxGaps, IntervalFunction source)`

## Method Summary

Modifier and Type
Method
Description
`IntervalsSource`
`toIntervalSource(String field, Analyzer analyzer)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MaxGaps

public MaxGaps(int maxGaps, IntervalFunction source)

## Method Details

### toIntervalSource

public IntervalsSource toIntervalSource(String field, Analyzer analyzer)

Specified by:
  `toIntervalSource` in class `IntervalFunction`

### toString

public String toString()

Specified by:
  `toString` in class `IntervalFunction`